Index: uspace/lib/ext4/src/filesystem.c
===================================================================
--- uspace/lib/ext4/src/filesystem.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/src/filesystem.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,5 +54,5 @@
 #include "ext4/superblock.h"
 
-static errno_t ext4_filesystem_check_features(ext4_filesystem_t *, bool *);
+static int ext4_filesystem_check_features(ext4_filesystem_t *, bool *);
 
 /** Initialize filesystem for opening.
@@ -67,8 +67,8 @@
  *
  */
-static errno_t ext4_filesystem_init(ext4_filesystem_t *fs, service_id_t service_id,
+static int ext4_filesystem_init(ext4_filesystem_t *fs, service_id_t service_id,
     enum cache_mode cmode)
 {
-	errno_t rc;
+	int rc;
 	ext4_superblock_t *temp_superblock = NULL;
 
@@ -161,11 +161,11 @@
  * @param service_id Block device to probe
  *
- * @return EOK or an error code.
- *
- */
-errno_t ext4_filesystem_probe(service_id_t service_id)
+ * @return EOK or negative error code.
+ *
+ */
+int ext4_filesystem_probe(service_id_t service_id)
 {
 	ext4_filesystem_t *fs = NULL;
-	errno_t rc;
+	int rc;
 
 	fs = calloc(1, sizeof(ext4_filesystem_t));
@@ -195,10 +195,10 @@
  *
  */
-errno_t ext4_filesystem_open(ext4_instance_t *inst, service_id_t service_id,
+int ext4_filesystem_open(ext4_instance_t *inst, service_id_t service_id,
     enum cache_mode cmode, aoff64_t *size, ext4_filesystem_t **rfs)
 {
 	ext4_filesystem_t *fs = NULL;
 	fs_node_t *root_node = NULL;
-	errno_t rc;
+	int rc;
 
 	fs = calloc(1, sizeof(ext4_filesystem_t));
@@ -252,13 +252,13 @@
  * @param fs Filesystem to be destroyed
  *
- * @return EOK or an error code. On error the state of the file
+ * @return EOK or negative error code. On error the state of the file
  *         system is unchanged.
  *
  */
-errno_t ext4_filesystem_close(ext4_filesystem_t *fs)
+int ext4_filesystem_close(ext4_filesystem_t *fs)
 {
 	/* Write the superblock to the device */
 	ext4_superblock_set_state(fs->superblock, EXT4_SUPERBLOCK_STATE_VALID_FS);
-	errno_t rc = ext4_superblock_write_direct(fs->device, fs->superblock);
+	int rc = ext4_superblock_write_direct(fs->device, fs->superblock);
 	if (rc != EOK)
 		return rc;
@@ -281,5 +281,5 @@
  *
  */
-static errno_t ext4_filesystem_check_features(ext4_filesystem_t *fs,
+static int ext4_filesystem_check_features(ext4_filesystem_t *fs,
     bool *read_only)
 {
@@ -380,5 +380,5 @@
  *
  */
-static errno_t ext4_filesystem_init_block_bitmap(ext4_block_group_ref_t *bg_ref)
+static int ext4_filesystem_init_block_bitmap(ext4_block_group_ref_t *bg_ref)
 {
 	uint64_t itb;
@@ -394,5 +394,5 @@
 	
 	block_t *bitmap_block;
-	errno_t rc = block_get(&bitmap_block, bg_ref->fs->device,
+	int rc = block_get(&bitmap_block, bg_ref->fs->device,
 	    bitmap_block_addr, BLOCK_FLAGS_NOREAD);
 	if (rc != EOK)
@@ -451,5 +451,5 @@
  *
  */
-static errno_t ext4_filesystem_init_inode_bitmap(ext4_block_group_ref_t *bg_ref)
+static int ext4_filesystem_init_inode_bitmap(ext4_block_group_ref_t *bg_ref)
 {
 	/* Load bitmap */
@@ -458,5 +458,5 @@
 	block_t *bitmap_block;
 	
-	errno_t rc = block_get(&bitmap_block, bg_ref->fs->device,
+	int rc = block_get(&bitmap_block, bg_ref->fs->device,
 	    bitmap_block_addr, BLOCK_FLAGS_NOREAD);
 	if (rc != EOK)
@@ -494,5 +494,5 @@
  *
  */
-static errno_t ext4_filesystem_init_inode_table(ext4_block_group_ref_t *bg_ref)
+static int ext4_filesystem_init_inode_table(ext4_block_group_ref_t *bg_ref)
 {
 	ext4_superblock_t *sb = bg_ref->fs->superblock;
@@ -519,5 +519,5 @@
 	for (uint32_t fblock = first_block; fblock <= last_block; ++fblock) {
 		block_t *block;
-		errno_t rc = block_get(&block, bg_ref->fs->device, fblock,
+		int rc = block_get(&block, bg_ref->fs->device, fblock,
 		    BLOCK_FLAGS_NOREAD);
 		if (rc != EOK)
@@ -544,5 +544,5 @@
  *
  */
-errno_t ext4_filesystem_get_block_group_ref(ext4_filesystem_t *fs, uint32_t bgid,
+int ext4_filesystem_get_block_group_ref(ext4_filesystem_t *fs, uint32_t bgid,
     ext4_block_group_ref_t **ref)
 {
@@ -568,5 +568,5 @@
 	
 	/* Load block with descriptors */
-	errno_t rc = block_get(&newref->block, fs->device, block_id, 0);
+	int rc = block_get(&newref->block, fs->device, block_id, 0);
 	if (rc != EOK) {
 		free(newref);
@@ -804,5 +804,5 @@
  *
  */
-errno_t ext4_filesystem_put_block_group_ref(ext4_block_group_ref_t *ref)
+int ext4_filesystem_put_block_group_ref(ext4_block_group_ref_t *ref)
 {
 	/* Check if reference modified */
@@ -819,5 +819,5 @@
 	
 	/* Put back block, that contains block group descriptor */
-	errno_t rc = block_put(ref->block);
+	int rc = block_put(ref->block);
 	free(ref);
 	
@@ -834,5 +834,5 @@
  *
  */
-errno_t ext4_filesystem_get_inode_ref(ext4_filesystem_t *fs, uint32_t index,
+int ext4_filesystem_get_inode_ref(ext4_filesystem_t *fs, uint32_t index,
     ext4_inode_ref_t **ref)
 {
@@ -857,5 +857,5 @@
 	/* Load block group, where i-node is located */
 	ext4_block_group_ref_t *bg_ref;
-	errno_t rc = ext4_filesystem_get_block_group_ref(fs, block_group, &bg_ref);
+	int rc = ext4_filesystem_get_block_group_ref(fs, block_group, &bg_ref);
 	if (rc != EOK) {
 		free(newref);
@@ -909,5 +909,5 @@
  *
  */
-errno_t ext4_filesystem_put_inode_ref(ext4_inode_ref_t *ref)
+int ext4_filesystem_put_inode_ref(ext4_inode_ref_t *ref)
 {
 	/* Check if reference modified */
@@ -918,5 +918,5 @@
 	
 	/* Put back block, that contains i-node */
-	errno_t rc = block_put(ref->block);
+	int rc = block_put(ref->block);
 	free(ref);
 	
@@ -933,5 +933,5 @@
  *
  */
-errno_t ext4_filesystem_alloc_inode(ext4_filesystem_t *fs,
+int ext4_filesystem_alloc_inode(ext4_filesystem_t *fs,
     ext4_inode_ref_t **inode_ref, int flags)
 {
@@ -943,5 +943,5 @@
 	/* Allocate inode by allocation algorithm */
 	uint32_t index;
-	errno_t rc = ext4_ialloc_alloc_inode(fs, &index, is_dir);
+	int rc = ext4_ialloc_alloc_inode(fs, &index, is_dir);
 	if (rc != EOK)
 		return rc;
@@ -1025,5 +1025,5 @@
  *
  */
-errno_t ext4_filesystem_free_inode(ext4_inode_ref_t *inode_ref)
+int ext4_filesystem_free_inode(ext4_inode_ref_t *inode_ref)
 {
 	ext4_filesystem_t *fs = inode_ref->fs;
@@ -1042,5 +1042,5 @@
 	uint32_t fblock = ext4_inode_get_indirect_block(inode_ref->inode, 0);
 	if (fblock != 0) {
-		errno_t rc = ext4_balloc_free_block(inode_ref, fblock);
+		int rc = ext4_balloc_free_block(inode_ref, fblock);
 		if (rc != EOK)
 			return rc;
@@ -1056,5 +1056,5 @@
 	fblock = ext4_inode_get_indirect_block(inode_ref->inode, 1);
 	if (fblock != 0) {
-		errno_t rc = block_get(&block, fs->device, fblock, BLOCK_FLAGS_NONE);
+		int rc = block_get(&block, fs->device, fblock, BLOCK_FLAGS_NONE);
 		if (rc != EOK)
 			return rc;
@@ -1088,5 +1088,5 @@
 	fblock = ext4_inode_get_indirect_block(inode_ref->inode, 2);
 	if (fblock != 0) {
-		errno_t rc = block_get(&block, fs->device, fblock, BLOCK_FLAGS_NONE);
+		int rc = block_get(&block, fs->device, fblock, BLOCK_FLAGS_NONE);
 		if (rc != EOK)
 			return rc;
@@ -1153,5 +1153,5 @@
 	    inode_ref->inode, fs->superblock);
 	if (xattr_block) {
-		errno_t rc = ext4_balloc_free_block(inode_ref, xattr_block);
+		int rc = ext4_balloc_free_block(inode_ref, xattr_block);
 		if (rc != EOK)
 			return rc;
@@ -1161,5 +1161,5 @@
 	
 	/* Free inode by allocator */
-	errno_t rc;
+	int rc;
 	if (ext4_inode_is_type(fs->superblock, inode_ref->inode,
 	    EXT4_INODE_MODE_DIRECTORY))
@@ -1179,5 +1179,5 @@
  *
  */
-errno_t ext4_filesystem_truncate_inode(ext4_inode_ref_t *inode_ref,
+int ext4_filesystem_truncate_inode(ext4_inode_ref_t *inode_ref,
     aoff64_t new_size)
 {
@@ -1212,5 +1212,5 @@
 	    (ext4_inode_has_flag(inode_ref->inode, EXT4_INODE_FLAG_EXTENTS))) {
 		/* Extents require special operation */
-		errno_t rc = ext4_extent_release_blocks_from(inode_ref,
+		int rc = ext4_extent_release_blocks_from(inode_ref,
 		    old_blocks_count - diff_blocks_count);
 		if (rc != EOK)
@@ -1221,5 +1221,5 @@
 		/* Starting from 1 because of logical blocks are numbered from 0 */
 		for (uint32_t i = 1; i <= diff_blocks_count; ++i) {
-			errno_t rc = ext4_filesystem_release_inode_block(inode_ref,
+			int rc = ext4_filesystem_release_inode_block(inode_ref,
 			    old_blocks_count - i);
 			if (rc != EOK)
@@ -1244,5 +1244,5 @@
  *
  */
-errno_t ext4_filesystem_get_inode_data_block_index(ext4_inode_ref_t *inode_ref,
+int ext4_filesystem_get_inode_data_block_index(ext4_inode_ref_t *inode_ref,
     aoff64_t iblock, uint32_t *fblock)
 {
@@ -1261,5 +1261,5 @@
 	    EXT4_FEATURE_INCOMPAT_EXTENTS)) &&
 	    (ext4_inode_has_flag(inode_ref->inode, EXT4_INODE_FLAG_EXTENTS))) {
-		errno_t rc = ext4_extent_find_block(inode_ref, iblock, &current_block);
+		int rc = ext4_extent_find_block(inode_ref, iblock, &current_block);
 		if (rc != EOK)
 			return rc;
@@ -1311,5 +1311,5 @@
 	while (level > 0) {
 		/* Load indirect block */
-		errno_t rc = block_get(&block, fs->device, current_block, 0);
+		int rc = block_get(&block, fs->device, current_block, 0);
 		if (rc != EOK)
 			return rc;
@@ -1357,5 +1357,5 @@
  *
  */
-errno_t ext4_filesystem_set_inode_data_block_index(ext4_inode_ref_t *inode_ref,
+int ext4_filesystem_set_inode_data_block_index(ext4_inode_ref_t *inode_ref,
     aoff64_t iblock, uint32_t fblock)
 {
@@ -1407,5 +1407,5 @@
 	if (current_block == 0) {
 		/* Allocate new indirect block */
-		errno_t rc = ext4_balloc_alloc_block(inode_ref, &new_block_addr);
+		int rc = ext4_balloc_alloc_block(inode_ref, &new_block_addr);
 		if (rc != EOK)
 			return rc;
@@ -1441,5 +1441,5 @@
 	 */
 	while (level > 0) {
-		errno_t rc = block_get(&block, fs->device, current_block, 0);
+		int rc = block_get(&block, fs->device, current_block, 0);
 		if (rc != EOK)
 			return rc;
@@ -1518,5 +1518,5 @@
  *
  */
-errno_t ext4_filesystem_release_inode_block(ext4_inode_ref_t *inode_ref,
+int ext4_filesystem_release_inode_block(ext4_inode_ref_t *inode_ref,
     uint32_t iblock)
 {
@@ -1575,5 +1575,5 @@
 			return EOK;
 		
-		errno_t rc = block_get(&block, fs->device, current_block, 0);
+		int rc = block_get(&block, fs->device, current_block, 0);
 		if (rc != EOK)
 			return rc;
@@ -1625,5 +1625,5 @@
  *
  */
-errno_t ext4_filesystem_append_inode_block(ext4_inode_ref_t *inode_ref,
+int ext4_filesystem_append_inode_block(ext4_inode_ref_t *inode_ref,
     uint32_t *fblock, uint32_t *iblock)
 {
@@ -1649,5 +1649,5 @@
 	/* Allocate new physical block */
 	uint32_t phys_block;
-	errno_t rc = ext4_balloc_alloc_block(inode_ref, &phys_block);
+	int rc = ext4_balloc_alloc_block(inode_ref, &phys_block);
 	if (rc != EOK)
 		return rc;
Index: uspace/lib/ext4/src/hash.c
===================================================================
--- uspace/lib/ext4/src/hash.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/src/hash.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,5 +38,5 @@
 #include "ext4/hash.h"
 
-errno_t ext4_hash_string(ext4_hash_info_t *hinfo, int len, const char *name)
+int ext4_hash_string(ext4_hash_info_t *hinfo, int len, const char *name)
 {
 	// TODO
Index: uspace/lib/ext4/src/ialloc.c
===================================================================
--- uspace/lib/ext4/src/ialloc.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/src/ialloc.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -97,5 +97,5 @@
  *
  */
-errno_t ext4_ialloc_free_inode(ext4_filesystem_t *fs, uint32_t index, bool is_dir)
+int ext4_ialloc_free_inode(ext4_filesystem_t *fs, uint32_t index, bool is_dir)
 {
 	ext4_superblock_t *sb = fs->superblock;
@@ -105,5 +105,5 @@
 	
 	ext4_block_group_ref_t *bg_ref;
-	errno_t rc = ext4_filesystem_get_block_group_ref(fs, block_group, &bg_ref);
+	int rc = ext4_filesystem_get_block_group_ref(fs, block_group, &bg_ref);
 	if (rc != EOK)
 		return rc;
@@ -175,5 +175,5 @@
  *
  */
-errno_t ext4_ialloc_alloc_inode(ext4_filesystem_t *fs, uint32_t *index, bool is_dir)
+int ext4_ialloc_alloc_inode(ext4_filesystem_t *fs, uint32_t *index, bool is_dir)
 {
 	ext4_superblock_t *sb = fs->superblock;
@@ -188,5 +188,5 @@
 		/* Load block group to check */
 		ext4_block_group_ref_t *bg_ref;
-		errno_t rc = ext4_filesystem_get_block_group_ref(fs, bgid, &bg_ref);
+		int rc = ext4_filesystem_get_block_group_ref(fs, bgid, &bg_ref);
 		if (rc != EOK)
 			return rc;
Index: uspace/lib/ext4/src/inode.c
===================================================================
--- uspace/lib/ext4/src/inode.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/src/inode.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -324,5 +324,5 @@
  *
  */
-errno_t ext4_inode_set_blocks_count(ext4_superblock_t *sb, ext4_inode_t *inode,
+int ext4_inode_set_blocks_count(ext4_superblock_t *sb, ext4_inode_t *inode,
     uint64_t count)
 {
Index: uspace/lib/ext4/src/ops.c
===================================================================
--- uspace/lib/ext4/src/ops.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/src/ops.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -58,23 +58,23 @@
 /* Forward declarations of auxiliary functions */
 
-static errno_t ext4_read_directory(ipc_callid_t, aoff64_t, size_t,
+static int ext4_read_directory(ipc_callid_t, aoff64_t, size_t,
     ext4_instance_t *, ext4_inode_ref_t *, size_t *);
-static errno_t ext4_read_file(ipc_callid_t, aoff64_t, size_t, ext4_instance_t *,
+static int ext4_read_file(ipc_callid_t, aoff64_t, size_t, ext4_instance_t *,
     ext4_inode_ref_t *, size_t *);
 static bool ext4_is_dots(const uint8_t *, size_t);
-static errno_t ext4_instance_get(service_id_t, ext4_instance_t **);
+static int ext4_instance_get(service_id_t, ext4_instance_t **);
 
 /* Forward declarations of ext4 libfs operations. */
 
-static errno_t ext4_root_get(fs_node_t **, service_id_t);
-static errno_t ext4_match(fs_node_t **, fs_node_t *, const char *);
-static errno_t ext4_node_get(fs_node_t **, service_id_t, fs_index_t);
-static errno_t ext4_node_open(fs_node_t *);
-       errno_t ext4_node_put(fs_node_t *);
-static errno_t ext4_create_node(fs_node_t **, service_id_t, int);
-static errno_t ext4_destroy_node(fs_node_t *);
-static errno_t ext4_link(fs_node_t *, fs_node_t *, const char *);
-static errno_t ext4_unlink(fs_node_t *, fs_node_t *, const char *);
-static errno_t ext4_has_children(bool *, fs_node_t *);
+static int ext4_root_get(fs_node_t **, service_id_t);
+static int ext4_match(fs_node_t **, fs_node_t *, const char *);
+static int ext4_node_get(fs_node_t **, service_id_t, fs_index_t);
+static int ext4_node_open(fs_node_t *);
+       int ext4_node_put(fs_node_t *);
+static int ext4_create_node(fs_node_t **, service_id_t, int);
+static int ext4_destroy_node(fs_node_t *);
+static int ext4_link(fs_node_t *, fs_node_t *, const char *);
+static int ext4_unlink(fs_node_t *, fs_node_t *, const char *);
+static int ext4_has_children(bool *, fs_node_t *);
 static fs_index_t ext4_index_get(fs_node_t *);
 static aoff64_t ext4_size_get(fs_node_t *);
@@ -83,7 +83,7 @@
 static bool ext4_is_file(fs_node_t *node);
 static service_id_t ext4_service_get(fs_node_t *node);
-static errno_t ext4_size_block(service_id_t, uint32_t *);
-static errno_t ext4_total_block_count(service_id_t, uint64_t *);
-static errno_t ext4_free_block_count(service_id_t, uint64_t *);
+static int ext4_size_block(service_id_t, uint32_t *);
+static int ext4_total_block_count(service_id_t, uint64_t *);
+static int ext4_free_block_count(service_id_t, uint64_t *);
 
 /* Static variables */
@@ -138,5 +138,5 @@
  *
  */
-errno_t ext4_global_init(void)
+int ext4_global_init(void)
 {
 	if (!hash_table_create(&open_nodes, 0, 0, &open_nodes_ops))
@@ -152,5 +152,5 @@
  * @return Error code
  */
-errno_t ext4_global_fini(void)
+int ext4_global_fini(void)
 {
 	hash_table_destroy(&open_nodes);
@@ -170,5 +170,5 @@
  *
  */
-errno_t ext4_instance_get(service_id_t service_id, ext4_instance_t **inst)
+int ext4_instance_get(service_id_t service_id, ext4_instance_t **inst)
 {
 	fibril_mutex_lock(&instance_list_mutex);
@@ -199,5 +199,5 @@
  *
  */
-errno_t ext4_root_get(fs_node_t **rfn, service_id_t service_id)
+int ext4_root_get(fs_node_t **rfn, service_id_t service_id)
 {
 	return ext4_node_get(rfn, service_id, EXT4_INODE_ROOT_INDEX);
@@ -215,5 +215,5 @@
  *
  */
-errno_t ext4_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
+int ext4_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
 {
 	ext4_node_t *eparent = EXT4_NODE(pfn);
@@ -226,5 +226,5 @@
 	/* Try to find entry */
 	ext4_directory_search_result_t result;
-	errno_t rc = ext4_directory_find_entry(&result, eparent->inode_ref,
+	int rc = ext4_directory_find_entry(&result, eparent->inode_ref,
 	    component);
 	if (rc != EOK) {
@@ -247,5 +247,5 @@
 
 	/* Destroy search result structure */
-	errno_t const rc2 = ext4_directory_destroy_result(&result);
+	int const rc2 = ext4_directory_destroy_result(&result);
 	return rc == EOK ? rc2 : rc;
 }
@@ -262,8 +262,8 @@
  *
  */
-errno_t ext4_node_get(fs_node_t **rfn, service_id_t service_id, fs_index_t index)
+int ext4_node_get(fs_node_t **rfn, service_id_t service_id, fs_index_t index)
 {
 	ext4_instance_t *inst;
-	errno_t rc = ext4_instance_get(service_id, &inst);
+	int rc = ext4_instance_get(service_id, &inst);
 	if (rc != EOK)
 		return rc;
@@ -281,5 +281,5 @@
  *
  */
-errno_t ext4_node_get_core(fs_node_t **rfn, ext4_instance_t *inst,
+int ext4_node_get_core(fs_node_t **rfn, ext4_instance_t *inst,
     fs_index_t index)
 {
@@ -322,5 +322,5 @@
 	/* Load i-node from filesystem */
 	ext4_inode_ref_t *inode_ref;
-	errno_t rc = ext4_filesystem_get_inode_ref(inst->filesystem, index,
+	int rc = ext4_filesystem_get_inode_ref(inst->filesystem, index,
 	    &inode_ref);
 	if (rc != EOK) {
@@ -355,5 +355,5 @@
  *
  */
-static errno_t ext4_node_put_core(ext4_node_t *enode)
+static int ext4_node_put_core(ext4_node_t *enode)
 {
 	hash_table_remove_item(&open_nodes, &enode->link);
@@ -362,5 +362,5 @@
 	
 	/* Put inode back in filesystem */
-	errno_t rc = ext4_filesystem_put_inode_ref(enode->inode_ref);
+	int rc = ext4_filesystem_put_inode_ref(enode->inode_ref);
 	if (rc != EOK)
 		return rc;
@@ -382,5 +382,5 @@
  *
  */
-errno_t ext4_node_open(fs_node_t *fn)
+int ext4_node_open(fs_node_t *fn)
 {
 	/* Stateless operation */
@@ -396,5 +396,5 @@
  *
  */
-errno_t ext4_node_put(fs_node_t *fn)
+int ext4_node_put(fs_node_t *fn)
 {
 	fibril_mutex_lock(&open_nodes_lock);
@@ -404,5 +404,5 @@
 	enode->references--;
 	if (enode->references == 0) {
-		errno_t rc = ext4_node_put_core(enode);
+		int rc = ext4_node_put_core(enode);
 		if (rc != EOK) {
 			fibril_mutex_unlock(&open_nodes_lock);
@@ -425,5 +425,5 @@
  *
  */
-errno_t ext4_create_node(fs_node_t **rfn, service_id_t service_id, int flags)
+int ext4_create_node(fs_node_t **rfn, service_id_t service_id, int flags)
 {
 	/* Allocate enode */
@@ -443,5 +443,5 @@
 	/* Load instance */
 	ext4_instance_t *inst;
-	errno_t rc = ext4_instance_get(service_id, &inst);
+	int rc = ext4_instance_get(service_id, &inst);
 	if (rc != EOK) {
 		free(enode);
@@ -486,9 +486,9 @@
  *
  */
-errno_t ext4_destroy_node(fs_node_t *fn)
+int ext4_destroy_node(fs_node_t *fn)
 {
 	/* If directory, check for children */
 	bool has_children;
-	errno_t rc = ext4_has_children(&has_children, fn);
+	int rc = ext4_has_children(&has_children, fn);
 	if (rc != EOK) {
 		ext4_node_put(fn);
@@ -537,5 +537,5 @@
  *
  */
-errno_t ext4_link(fs_node_t *pfn, fs_node_t *cfn, const char *name)
+int ext4_link(fs_node_t *pfn, fs_node_t *cfn, const char *name)
 {
 	/* Check maximum name length */
@@ -548,5 +548,5 @@
 	
 	/* Add entry to parent directory */
-	errno_t rc = ext4_directory_add_entry(parent->inode_ref, name,
+	int rc = ext4_directory_add_entry(parent->inode_ref, name,
 	    child->inode_ref);
 	if (rc != EOK)
@@ -610,8 +610,8 @@
  *
  */
-errno_t ext4_unlink(fs_node_t *pfn, fs_node_t *cfn, const char *name)
+int ext4_unlink(fs_node_t *pfn, fs_node_t *cfn, const char *name)
 {
 	bool has_children;
-	errno_t rc = ext4_has_children(&has_children, cfn);
+	int rc = ext4_has_children(&has_children, cfn);
 	if (rc != EOK)
 		return rc;
@@ -683,5 +683,5 @@
  *
  */
-errno_t ext4_has_children(bool *has_children, fs_node_t *fn)
+int ext4_has_children(bool *has_children, fs_node_t *fn)
 {
 	ext4_node_t *enode = EXT4_NODE(fn);
@@ -696,5 +696,5 @@
 	
 	ext4_directory_iterator_t it;
-	errno_t rc = ext4_directory_iterator_init(&it, enode->inode_ref, 0);
+	int rc = ext4_directory_iterator_init(&it, enode->inode_ref, 0);
 	if (rc != EOK)
 		return rc;
@@ -824,8 +824,8 @@
 }
 
-errno_t ext4_size_block(service_id_t service_id, uint32_t *size)
+int ext4_size_block(service_id_t service_id, uint32_t *size)
 {
 	ext4_instance_t *inst;
-	errno_t rc = ext4_instance_get(service_id, &inst);
+	int rc = ext4_instance_get(service_id, &inst);
 	if (rc != EOK)
 		return rc;
@@ -840,8 +840,8 @@
 }
 
-errno_t ext4_total_block_count(service_id_t service_id, uint64_t *count)
+int ext4_total_block_count(service_id_t service_id, uint64_t *count)
 {
 	ext4_instance_t *inst;
-	errno_t rc = ext4_instance_get(service_id, &inst);
+	int rc = ext4_instance_get(service_id, &inst);
 	if (rc != EOK)
 		return rc;
@@ -856,8 +856,8 @@
 }
 
-errno_t ext4_free_block_count(service_id_t service_id, uint64_t *count)
+int ext4_free_block_count(service_id_t service_id, uint64_t *count)
 {
 	ext4_instance_t *inst;
-	errno_t rc = ext4_instance_get(service_id, &inst);
+	int rc = ext4_instance_get(service_id, &inst);
 	if (rc != EOK)
 		return rc;
@@ -907,5 +907,5 @@
  * @return Error code
  */
-static errno_t ext4_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
+static int ext4_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
 {
 	return ext4_filesystem_probe(service_id);
@@ -924,5 +924,5 @@
  *
  */
-static errno_t ext4_mounted(service_id_t service_id, const char *opts,
+static int ext4_mounted(service_id_t service_id, const char *opts,
     fs_index_t *index, aoff64_t *size)
 {
@@ -948,5 +948,5 @@
 	/* Initialize the filesystem */
 	aoff64_t rnsize;
-	errno_t rc = ext4_filesystem_open(inst, service_id, cmode, &rnsize, &fs);
+	int rc = ext4_filesystem_open(inst, service_id, cmode, &rnsize, &fs);
 	if (rc != EOK) {
 		free(inst);
@@ -974,8 +974,8 @@
  *
  */
-static errno_t ext4_unmounted(service_id_t service_id)
+static int ext4_unmounted(service_id_t service_id)
 {
 	ext4_instance_t *inst;
-	errno_t rc = ext4_instance_get(service_id, &inst);
+	int rc = ext4_instance_get(service_id, &inst);
 	if (rc != EOK)
 		return rc;
@@ -1016,5 +1016,5 @@
  *
  */
-static errno_t ext4_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
+static int ext4_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *rbytes)
 {
@@ -1030,5 +1030,5 @@
 	
 	ext4_instance_t *inst;
-	errno_t rc = ext4_instance_get(service_id, &inst);
+	int rc = ext4_instance_get(service_id, &inst);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
@@ -1059,5 +1059,5 @@
 	}
 	
-	errno_t const rc2 = ext4_filesystem_put_inode_ref(inode_ref);
+	int const rc2 = ext4_filesystem_put_inode_ref(inode_ref);
 	
 	return rc == EOK ? rc2 : rc;
@@ -1095,9 +1095,9 @@
  *
  */
-errno_t ext4_read_directory(ipc_callid_t callid, aoff64_t pos, size_t size,
+int ext4_read_directory(ipc_callid_t callid, aoff64_t pos, size_t size,
     ext4_instance_t *inst, ext4_inode_ref_t *inode_ref, size_t *rbytes)
 {
 	ext4_directory_iterator_t it;
-	errno_t rc = ext4_directory_iterator_init(&it, inode_ref, pos);
+	int rc = ext4_directory_iterator_init(&it, inode_ref, pos);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
@@ -1186,5 +1186,5 @@
  *
  */
-errno_t ext4_read_file(ipc_callid_t callid, aoff64_t pos, size_t size,
+int ext4_read_file(ipc_callid_t callid, aoff64_t pos, size_t size,
     ext4_instance_t *inst, ext4_inode_ref_t *inode_ref, size_t *rbytes)
 {
@@ -1211,5 +1211,5 @@
 	/* Get the real block number */
 	uint32_t fs_block;
-	errno_t rc = ext4_filesystem_get_inode_data_block_index(inode_ref,
+	int rc = ext4_filesystem_get_inode_data_block_index(inode_ref,
 	    file_block, &fs_block);
 	if (rc != EOK) {
@@ -1275,9 +1275,9 @@
  *
  */
-static errno_t ext4_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
+static int ext4_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *wbytes, aoff64_t *nsize)
 {
 	fs_node_t *fn;
-	errno_t rc = ext4_node_get(&fn, service_id, index);
+	int rc = ext4_node_get(&fn, service_id, index);
 	if (rc != EOK)
 		return rc;
@@ -1397,5 +1397,5 @@
 	;
 
-	errno_t const rc2 = ext4_node_put(fn);
+	int const rc2 = ext4_node_put(fn);
 	return rc == EOK ? rc2 : rc;
 }
@@ -1412,9 +1412,9 @@
  *
  */
-static errno_t ext4_truncate(service_id_t service_id, fs_index_t index,
+static int ext4_truncate(service_id_t service_id, fs_index_t index,
     aoff64_t new_size)
 {
 	fs_node_t *fn;
-	errno_t rc = ext4_node_get(&fn, service_id, index);
+	int rc = ext4_node_get(&fn, service_id, index);
 	if (rc != EOK)
 		return rc;
@@ -1424,5 +1424,5 @@
 	
 	rc = ext4_filesystem_truncate_inode(inode_ref, new_size);
-	errno_t const rc2 = ext4_node_put(fn);
+	int const rc2 = ext4_node_put(fn);
 	
 	return rc == EOK ? rc2 : rc;
@@ -1437,5 +1437,5 @@
  *
  */
-static errno_t ext4_close(service_id_t service_id, fs_index_t index)
+static int ext4_close(service_id_t service_id, fs_index_t index)
 {
 	return EOK;
@@ -1450,8 +1450,8 @@
  *
  */
-static errno_t ext4_destroy(service_id_t service_id, fs_index_t index)
+static int ext4_destroy(service_id_t service_id, fs_index_t index)
 {
 	fs_node_t *fn;
-	errno_t rc = ext4_node_get(&fn, service_id, index);
+	int rc = ext4_node_get(&fn, service_id, index);
 	if (rc != EOK)
 		return rc;
@@ -1467,8 +1467,8 @@
  *
  */
-static errno_t ext4_sync(service_id_t service_id, fs_index_t index)
+static int ext4_sync(service_id_t service_id, fs_index_t index)
 {
 	fs_node_t *fn;
-	errno_t rc = ext4_node_get(&fn, service_id, index);
+	int rc = ext4_node_get(&fn, service_id, index);
 	if (rc != EOK)
 		return rc;
Index: uspace/lib/ext4/src/superblock.c
===================================================================
--- uspace/lib/ext4/src/superblock.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/src/superblock.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -1127,5 +1127,5 @@
  *
  */
-errno_t ext4_superblock_read_direct(service_id_t service_id, ext4_superblock_t **sb)
+int ext4_superblock_read_direct(service_id_t service_id, ext4_superblock_t **sb)
 {
 	/* Allocated memory for superblock structure */
@@ -1135,5 +1135,5 @@
 	
 	/* Read data from block device */
-	errno_t rc = block_read_bytes_direct(service_id, EXT4_SUPERBLOCK_OFFSET,
+	int rc = block_read_bytes_direct(service_id, EXT4_SUPERBLOCK_OFFSET,
 	    EXT4_SUPERBLOCK_SIZE, data);
 	
@@ -1157,9 +1157,9 @@
  *
  */
-errno_t ext4_superblock_write_direct(service_id_t service_id, ext4_superblock_t *sb)
+int ext4_superblock_write_direct(service_id_t service_id, ext4_superblock_t *sb)
 {
 	/* Load physical block size from block device */
 	size_t phys_block_size;
-	errno_t rc = block_get_bsize(service_id, &phys_block_size);
+	int rc = block_get_bsize(service_id, &phys_block_size);
 	if (rc != EOK)
 		return rc;
@@ -1199,5 +1199,5 @@
  *
  */
-errno_t ext4_superblock_check_sanity(ext4_superblock_t *sb)
+int ext4_superblock_check_sanity(ext4_superblock_t *sb)
 {
 	if (ext4_superblock_get_magic(sb) != EXT4_SUPERBLOCK_MAGIC)
Index: uspace/lib/fdisk/include/fdisk.h
===================================================================
--- uspace/lib/fdisk/include/fdisk.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/fdisk/include/fdisk.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,40 +41,40 @@
 #include <types/vol.h>
 
-extern errno_t fdisk_create(fdisk_t **);
+extern int fdisk_create(fdisk_t **);
 extern void fdisk_destroy(fdisk_t *);
-extern errno_t fdisk_dev_list_get(fdisk_t *, fdisk_dev_list_t **);
+extern int fdisk_dev_list_get(fdisk_t *, fdisk_dev_list_t **);
 extern void fdisk_dev_list_free(fdisk_dev_list_t *);
 extern fdisk_dev_info_t *fdisk_dev_first(fdisk_dev_list_t *);
 extern fdisk_dev_info_t *fdisk_dev_next(fdisk_dev_info_t *);
-extern errno_t fdisk_dev_info_get_svcname(fdisk_dev_info_t *, char **);
+extern int fdisk_dev_info_get_svcname(fdisk_dev_info_t *, char **);
 extern void fdisk_dev_info_get_svcid(fdisk_dev_info_t *, service_id_t *);
-extern errno_t fdisk_dev_info_capacity(fdisk_dev_info_t *, cap_spec_t *);
+extern int fdisk_dev_info_capacity(fdisk_dev_info_t *, cap_spec_t *);
 
-extern errno_t fdisk_dev_open(fdisk_t *, service_id_t, fdisk_dev_t **);
+extern int fdisk_dev_open(fdisk_t *, service_id_t, fdisk_dev_t **);
 extern void fdisk_dev_close(fdisk_dev_t *);
-extern errno_t fdisk_dev_erase(fdisk_dev_t *);
+extern int fdisk_dev_erase(fdisk_dev_t *);
 extern void fdisk_dev_get_flags(fdisk_dev_t *, fdisk_dev_flags_t *);
-extern errno_t fdisk_dev_get_svcname(fdisk_dev_t *, char **);
-extern errno_t fdisk_dev_capacity(fdisk_dev_t *, cap_spec_t *);
+extern int fdisk_dev_get_svcname(fdisk_dev_t *, char **);
+extern int fdisk_dev_capacity(fdisk_dev_t *, cap_spec_t *);
 
-extern errno_t fdisk_label_get_info(fdisk_dev_t *, fdisk_label_info_t *);
-extern errno_t fdisk_label_create(fdisk_dev_t *, label_type_t);
-extern errno_t fdisk_label_destroy(fdisk_dev_t *);
+extern int fdisk_label_get_info(fdisk_dev_t *, fdisk_label_info_t *);
+extern int fdisk_label_create(fdisk_dev_t *, label_type_t);
+extern int fdisk_label_destroy(fdisk_dev_t *);
 
 extern fdisk_part_t *fdisk_part_first(fdisk_dev_t *);
 extern fdisk_part_t *fdisk_part_next(fdisk_part_t *);
-extern errno_t fdisk_part_get_info(fdisk_part_t *, fdisk_part_info_t *);
-extern errno_t fdisk_part_get_max_avail(fdisk_dev_t *, fdisk_spc_t, cap_spec_t *);
-extern errno_t fdisk_part_get_tot_avail(fdisk_dev_t *, fdisk_spc_t, cap_spec_t *);
-extern errno_t fdisk_part_create(fdisk_dev_t *, fdisk_part_spec_t *,
+extern int fdisk_part_get_info(fdisk_part_t *, fdisk_part_info_t *);
+extern int fdisk_part_get_max_avail(fdisk_dev_t *, fdisk_spc_t, cap_spec_t *);
+extern int fdisk_part_get_tot_avail(fdisk_dev_t *, fdisk_spc_t, cap_spec_t *);
+extern int fdisk_part_create(fdisk_dev_t *, fdisk_part_spec_t *,
     fdisk_part_t **);
-extern errno_t fdisk_part_destroy(fdisk_part_t *);
+extern int fdisk_part_destroy(fdisk_part_t *);
 extern void fdisk_pspec_init(fdisk_part_spec_t *);
 
-extern errno_t fdisk_ltype_format(label_type_t, char **);
-extern errno_t fdisk_fstype_format(vol_fstype_t, char **);
-extern errno_t fdisk_pkind_format(label_pkind_t, char **);
+extern int fdisk_ltype_format(label_type_t, char **);
+extern int fdisk_fstype_format(vol_fstype_t, char **);
+extern int fdisk_pkind_format(label_pkind_t, char **);
 
-extern errno_t fdisk_get_vollabel_support(fdisk_dev_t *, vol_fstype_t,
+extern int fdisk_get_vollabel_support(fdisk_dev_t *, vol_fstype_t,
     vol_label_supp_t *);
 
